Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6080 - LC_ALL is set, confuses users
Summary: LC_ALL is set, confuses users
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-19 07:44 UTC by redhat-bugzilla
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-02 20:17:02 UTC


Attachments (Terms of Use)

Description redhat-bugzilla 1999-10-19 07:44:51 UTC
I have users on my system using several different locales.
When i upgraded to redhat-6.1 some of them reported that
they could no longer set locale with LANG or LC_* as they
used to. After looking around a bit i noticed that the
LC_ALL variable is set in /etc/sysconfig/i18n which
overrides all the other settings. I would say this is
counter-intuitive to the user to need to unset LC_ALL to
make their old .bash_profiles work. I would like to see
that only LANG (the default lang that can be overridden by
LC_*) was set in /etc/syconfig/i18n

Comment 1 Bill Nottingham 2000-02-02 20:17:59 UTC
This will be fixed in the next installer release; it will not
write a 'LC_ALL' value to /etc/sysconfig/i18n.


Note You need to log in before you can comment on or make changes to this bug.